## ocaml-cairo2 0.6.4+dfsg

=== Makefile ===
# Makefile for developers (users use dune exclusively).
PKGVERSION = $(shell git describe --always)
PACKAGES = $(basename $(wildcard *.opam))

build:
	dune build @install @examples @tutorial

test:
	dune build @runtest @tests-gtk --force

install uninstall:
	dune $@

doc: build
	dune build @doc
	sed -e 's/%%VERSION%%/$(PKGVERSION)/' --in-place \
	  _build/default/_doc/_html/cairo2/Cairo/index.html

tutorial-submit: build doc
	$(MAKE) -C docs $@

lint:
	for p in $(PACKAGES); do opam lint $$p.opam; done

clean:
	dune clean
	$(RM) $(wildcard *~ *.pdf *.ps *.png *.svg)

.PHONY: build install uninstall doc submit tutorial-submit lint clean

## ocaml-cairo2 0.6.1+dfsg

=== debian/changelog ===
ocaml-cairo2 (0.6.1+dfsg-3) unstable; urgency=medium

  * gtksourceview2 removal from buster:
    - stop building binary packages libcairo2-gtk-ocaml{-dev} and
      libcairo2-pango-ocaml{-dev}.
    - remove corresponding debian/*.install files
    - register -gtk and -pango files in debian/not-installed
    - drop build-dependency liblablgtk2-ocaml-dev
    - drop build-conflict with liblablgtk3-ocaml-dev
    - drop -gtk and -pango from as-installed test
  * Update build-dependency dune to ocaml-dune
  * Standards-Version 4.5.0 (no change)
  * Add docs/ directory to the import filter

 -- Ralf Treinen <treinen@debian.org>  Tue, 18 Feb 2020 08:49:16 +0100

ocaml-cairo2 (0.6.1+dfsg-2) unstable; urgency=medium

  * Standards-Version 4.4.0 (no change)
  * Package test:
    - add dependency on the packages build-dependencies
    - be more verbose when executing compiled examples

 -- Ralf Treinen <treinen@debian.org>  Mon, 12 Aug 2019 23:06:47 +0200

ocaml-cairo2 (0.6.1+dfsg-1) unstable; urgency=medium

  * Initial packaging (closes: #929313)

 -- Ralf Treinen <treinen@debian.org>  Thu, 06 Jun 2019 09:23:06 +0200

=== debian/control ===
Source: ocaml-cairo2
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends: debhelper-compat (= 12), dh-ocaml,
 ocaml (>= 4.02),
 ocaml-findlib,
 ocaml-dune, libdune-ocaml-dev,
 libcairo2-dev
# ocaml-findlib is needed so that dune finds the graphics library
Build-Conflicts:
 opam
# dune behaves differently when opam is installed
Standards-Version: 4.5.0
Homepage: https://github.com/Chris00/ocaml-cairo
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cairo2.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cairo

Package: libcairo2-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Description: OCaml binding for Cairo (development files)
 This is an OCaml binding to Cairo, a 2D graphics library with support for
 multiple output devices. Currently supported output targets include
 the X Window System, Quartz, Win32, image buffers, PostScript, PDF,
 and SVG file output.
 .
 This package contains the development libraries you need to use cairo2 in
 the development of OCaml programs.

Package: libcairo2-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml binding for Cairo (runtime library)
 This is an OCaml binding to Cairo, a 2D graphics library with support for
 multiple output devices. Currently supported output targets include
 the X Window System, Quartz, Win32, image buffers, PostScript, PDF,
 and SVG file output.
 .
 This package includes only the dynamic library needed for running dynamic
 OCaml bytecode executables that have been compiled with the cairo2 OCaml
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with ocaml

override_dh_auto_test:
# do nothing

override_dh_missing:
	dh_missing --fail-missing

## ocaml-cairo2 0.6.2%2Bdfsg

=== debian/tests/control ===
Tests: examples
Depends: @, @builddeps@

## ocaml-cairo2 0.6.2+dfsg

=== debian/changelog ===
ocaml-cairo2 (0.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New minor upstream release (which fixes a memory leak)
    - Drop patch 0002-Fix-multiple-definitions-of-variables.patch, merged
      upstream
    - Drop patch 0003-Fix-FTBFS-with-OCaml-4.11.1.patch, fixed upstream

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 01 Feb 2021 20:46:56 +0100

ocaml-cairo2 (0.6.1+dfsg-6) unstable; urgency=medium

  * Fix FTBFS with OCaml 4.11.1
  * Fix Vcs-Browser

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 12:30:03 +0200

ocaml-cairo2 (0.6.1+dfsg-5) unstable; urgency=medium

  * Team upload
  * Fix multiple definitions of variables (Closes: #968427)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Aug 2020 09:18:21 +0200

ocaml-cairo2 (0.6.1+dfsg-4) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk to prevent FTBFS in dh_dwz
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Aug 2020 11:01:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,23 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper-compat (= 12), dh-ocaml,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-ocaml,
  ocaml (>= 4.02),
  ocaml-findlib,
  ocaml-dune, libdune-ocaml-dev,
+ libgraphics-ocaml-dev,
  libcairo2-dev
 # ocaml-findlib is needed so that dune finds the graphics library
 Build-Conflicts:
  opam
 # dune behaves differently when opam is installed
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/Chris00/ocaml-cairo
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cairo2.git
-Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cairo
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cairo2
 
 Package: libcairo2-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_test:
# do nothing

## ocaml-cairo2 0.6.4%2Bdfsg

=== debian/changelog ===
ocaml-cairo2 (0.6.4+dfsg-4build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:22:27 +0200

ocaml-cairo2 (0.6.4+dfsg-4) unstable; urgency=medium

  * Team upload
  * Remove unnecessary patch
  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 07:09:21 +0200

ocaml-cairo2 (0.6.4+dfsg-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem (Closes: #1042103)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 05:22:06 +0200

ocaml-cairo2 (0.6.4+dfsg-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Jan 2023 11:18:22 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Ralf Treinen <treinen@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
- ocaml (>= 4.02),
+ dh-ocaml (>= 1.2),
+ ocaml,
  ocaml-findlib,
  ocaml-dune, libdune-ocaml-dev,
  libgraphics-ocaml-dev,
@@ -15,7 +15,7 @@
 Build-Conflicts:
  opam
 # dune behaves differently when opam is installed
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/Chris00/ocaml-cairo
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cairo2.git

## ocaml-cairo2 0.6.4+dfsg

=== debian/changelog ===
ocaml-cairo2 (0.6.4+dfsg-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:53:51 +0100

ocaml-cairo2 (0.6.4+dfsg-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:08:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Ralf Treinen <treinen@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml (>= 1.2),
- ocaml,
+ dh-ocaml (>= 1.2.2),
+ ocaml (>= 4.02),
  ocaml-findlib,
  ocaml-dune, libdune-ocaml-dev,
  libgraphics-ocaml-dev,

## ocaml-cairo2 0.6.5

=== debian/changelog ===
ocaml-cairo2 (0.6.5-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:56:50 +0100

ocaml-cairo2 (0.6.5-2) unstable; urgency=medium

  * Team upload
  * Set minimum version of ocaml-dune in Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Tue, 07 Jan 2025 07:27:23 +0100

ocaml-cairo2 (0.6.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Dec 2024 17:27:09 +0100

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=s/\+dfsg//" \
	 https://github.com/Chris00/ocaml-cairo.git \
         refs/tags/([\d.]+)
